Package twisted :: Package protocols :: Module htb :: Class ShapedTransport

[show private | hide private]
[frames | no frames]

## Class ShapedTransport

    BasicProducerConsumerProxy --+
                                 |
             ProducerConsumerProxy --+
                                     |
                        ShapedConsumer --+
                                         |
                                        ShapedTransport

I wrap a Transport and shape the rate at which it receives data.

I am a `ShapedConsumer` with a little bit of magic to provide for the case where the consumer I wrap is also a Transport and people will be attempting to access attributes I do not proxy as a Consumer (e.g. loseConnection).

Method Summary
| `__init__(self, consumer, bucket)` (inherited from `ShapedConsumer`)
| `__getattr__(self, name)`
| `__repr__(self)` (inherited from `BasicProducerConsumerProxy`)
| `finish(self)` (inherited from `BasicProducerConsumerProxy`)
| `pauseProducing(self)` (inherited from `ProducerConsumerProxy`)
| `registerProducer(self, producer, streaming)` (inherited from `ProducerConsumerProxy`)
| `resumeProducing(self)` (inherited from `ProducerConsumerProxy`)
| `stopProducing(self)` (inherited from `ShapedConsumer`)
| `unregisterProducer(self)` (inherited from `ProducerConsumerProxy`)
| `write(self, data)` (inherited from `ProducerConsumerProxy`)

Class Variable Summary
`int` | `iAmStreaming`

Class Variable Details

### iAmStreaming

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Thu May 8 13:16:37 2003 | http://epydoc.sf.net